// Déclaration des constantes et variables

const int PinLED = 9;
const int PinTone = 8;
const int PinPhotoR = 5;
const int CapteurSensib = 500;
const int TimeSleep = 200;

int ValCapteur = 0;


// Initialisation des entrées et sorties

void setup() {
  pinMode (PinLED, OUTPUT);
  digitalWrite(PinLED, HIGH);
}


// Fonction principale en boucle

void loop() {
  ValCapteur = analogRead(PinPhotoR);
  if (ValCapteur < CapteurSensib) {
    tone(PinTone, 440);
    delay(TimeSleep);
    noTone(PinTone);
    delay(TimeSleep);
  }
  else {
  noTone(PinTone); 
  }
}

